Package com.sun.jna.platform.win32.COM

# Class COMInvoker

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker

All Implemented Interfaces:
  `NativeMapped`

Direct Known Subclasses:
  `COMBindingBaseObject`, `Unknown`

public abstract class COMInvoker extends PointerType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `COMInvoker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `_invokeNativeInt(int vtableId, Object[] args)`
  `protected Object`
  `_invokeNativeObject(int vtableId, Object[] args, Class<?> returnType)`
  `protected void`
  `_invokeNativeVoid(int vtableId, Object[] args)`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### COMInvoker

    public COMInvoker()

- ## Method Details

  - ### _invokeNativeInt

    protected int _invokeNativeInt(int vtableId, Object[] args)

  - ### _invokeNativeObject

    protected Object _invokeNativeObject(int vtableId, Object[] args, Class<?> returnType)

  - ### _invokeNativeVoid

    protected void _invokeNativeVoid(int vtableId, Object[] args)